flutter_ui_box 0.0.9 icon indicating copy to clipboard operation
flutter_ui_box: ^0.0.9 copied to clipboard

flutter Ui tools box. such as address select dialog,date select dialog

0
likes
105/ 130
pub points
16%
popularity

We analyzed this package 24 hours ago, and awarded it 105 pub points (of a possible 130):

icon indicating section status
Follow Dart file conventions
15 / 20icon to trigger folding of the section

10/10 points: Provide a valid pubspec.yaml

5/5 points: Provide a valid README.md

0/5 points: Provide a valid CHANGELOG.md

`CHANGELOG.md` contains too many non-ASCII characters.

The site uses English as its primary language. The content of CHANGELOG.md in your package should primarily contain characters used in English.

icon indicating section status
Provide documentation
20 / 20icon to trigger folding of the section

10/10 points: Package has an example

10/10 points: 20% or more of the public API has dartdoc comments

  • 77 out of 171 API elements (45.0 %) have documentation comments.
icon indicating section status
Platform support
20 / 20icon to trigger folding of the section

20/20 points: Supports 6 of 6 possible platforms (iOS, Android, Web, Windows, MacOS, Linux)

  • ✓ Android
  • ✓ iOS
  • ✓ Windows
  • ✓ Linux
  • ✓ MacOS
  • ✓ Web
icon indicating section status
Pass static analysis
10 / 30icon to trigger folding of the section

10/30 points: code has no errors, warnings, lints, or formatting issues

Found 30 issues. Showing the first 2:

WARNING: The receiver can't be null because of short-circuiting, so the null-aware operator '?.' can't be used.

lib/widget/base/fold_up_text_widget.dart:270:40

    ╷
270 │       width = width + (span.text?.runes?.length ?? 0);
    │                                        ^^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/widget/base/fold_up_text_widget.dart

WARNING: The '!' will have no effect because the receiver can't be null.

lib/widget/base/infinite_pageview.dart:128:28

    ╷
128 │     WidgetsBinding.instance!.addObserver(this);
    │                            ^
    ╵

To reproduce make sure you are using the lints_core and run flutter analyze lib/widget/base/infinite_pageview.dart

icon indicating section status
Support up-to-date dependencies
20 / 20icon to trigger folding of the section

10/10 points: All of the package dependencies are supported in the latest version

PackageConstraintCompatibleLatest
flutterflutter0.0.00.0.0
Transitive dependencies
PackageConstraintCompatibleLatest
characters-1.2.01.2.1
collection-1.16.01.16.0
material_color_utilities-0.1.40.1.5
meta-1.7.01.8.0
sky_engine-0.0.990.0.99
vector_math-2.1.22.1.2

To reproduce run dart pub outdated --no-dev-dependencies --up-to-date --no-dependency-overrides.

10/10 points: Package supports latest stable Dart and Flutter SDKs

icon indicating section status
Support sound null safety
20 / 20icon to trigger folding of the section

20/20 points: Package and dependencies are fully migrated to null safety!

Analysed with Pana 0.21.12, Flutter 3.0.0, Dart 2.17.0.

0
likes
105
pub points
16%
popularity

Publisher

unverified uploader

flutter Ui tools box. such as address select dialog,date select dialog

Repository (GitHub)
View/report issues

Documentation

API reference

License

unknown (LICENSE)

Dependencies

flutter

More

Packages that depend on flutter_ui_box